import { MemoryStorageAttributes } from '../interfaces/attributes.interface';
import { StorageStrategy } from '../interfaces/strategy.interface';
export declare class MemoryStorage implements StorageStrategy {
    private _storage;
    get<T = any>(token: string): T;
    set<T = any>(token: string, value: T, attributes?: MemoryStorageAttributes): void;
    remove(token: string, attributes?: MemoryStorageAttributes): void;
    clear(attributes?: MemoryStorageAttributes): void;
    isSupported(): boolean;
    private encode;
}
